<?php
$wp_customize->add_section(
   'search_latest_post_options' ,
    array(
        'title' => __( 'Within Search Modal', 'newscurve' ),
        'panel' => 'header_options_panel',
    )
);

$wp_customize->add_setting(
    'newscurve_options[enable_search_latest_posts]',
    array(
        'default'           => $newscurve_default['enable_search_latest_posts'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_search_latest_posts]',
    array(
		'label'    => __( 'Enable Trending', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newscurve_options[enable_search_latest_label]',
    array(
        'default'           => $newscurve_default['enable_search_latest_label'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_search_latest_label]',
    array(
		'label'           => __( 'Enable Trending Label', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'checkbox',
    )
);

// Trending Label Text.
$wp_customize->add_setting(
    'newscurve_options[search_latest_label_text]',
    array(
        'default'           => $newscurve_default['search_latest_label_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[search_latest_label_text]',
    array(
        'label'           => __( 'Trending Label Text', 'newscurve' ),
        'section'         => 'search_latest_post_options',
        'type'            => 'text',
    )
);

// Trending Posts Category.
$wp_customize->add_setting(
	'newscurve_options[search_latest_posts_cat]',
	array(
		'default'           => $newscurve_default['search_latest_posts_cat'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	new Newscurve_Dropdown_Taxonomies_Control(
		$wp_customize,
		'newscurve_options[search_latest_posts_cat]',
		array(
			'label'           => __( 'Choose Trending posts category', 'newscurve' ),
			'section'         => 'search_latest_post_options',
		)
	)
);

// No of posts.
$wp_customize->add_setting(
	'newscurve_options[no_of_search_latest_posts]',
	array(
		'default'           => $newscurve_default['no_of_search_latest_posts'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'newscurve_options[no_of_search_latest_posts]',
	array(
		'label'           => __( 'Number of Posts', 'newscurve' ),
		'section'         => 'search_latest_post_options',
		'type'            => 'number',
	)
);

// Posts Orderby.
$wp_customize->add_setting(
	'newscurve_options[search_latest_posts_orderby]',
	array(
		'default'           => $newscurve_default['search_latest_posts_orderby'],
		'sanitize_callback' => 'newscurve_sanitize_select',
	)
);
$wp_customize->add_control(
	'newscurve_options[search_latest_posts_orderby]',
	array(
		'label'           => __( 'Orderby', 'newscurve' ),
		'section'         => 'search_latest_post_options',
		'type'            => 'select',
		'choices'         => array(
			'date'  => __( 'Date', 'newscurve' ),
			'id'    => __( 'ID', 'newscurve' ),
			'title' => __( 'Title', 'newscurve' ),
			'rand'  => __( 'Random', 'newscurve' ),
		),
	)
);

// Posts Order.
$wp_customize->add_setting(
	'newscurve_options[search_latest_posts_order]',
	array(
		'default'           => $newscurve_default['search_latest_posts_order'],
		'sanitize_callback' => 'newscurve_sanitize_select',
	)
);
$wp_customize->add_control(
	'newscurve_options[search_latest_posts_order]',
	array(
		'label'           => __( 'Order', 'newscurve' ),
		'section'         => 'search_latest_post_options',
		'type'            => 'select',
		'choices'         => array(
			'asc'  => __( 'ASC', 'newscurve' ),
			'desc' => __( 'DESC', 'newscurve' ),
		),
	)
);


$wp_customize->add_setting(
    'newscurve_options[enable_search_latest_posts_author_meta]',
    array(
        'default'           => $newscurve_default['enable_search_latest_posts_author_meta'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_search_latest_posts_author_meta]',
    array(
        'label'       => esc_html__( 'Display Author Meta', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newscurve_options[select_search_latest_posts_author_meta]',
    array(
        'default'           => $newscurve_default['select_search_latest_posts_author_meta'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_search_latest_posts_author_meta]',
    array(
        'label'         => esc_html__( 'Select Author Meta', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'select',
        'choices'       => newscurve_author_meta(),


    )
);

$wp_customize->add_setting(
    'newscurve_options[search_latest_posts_author_meta_title]',
    array(
        'default'           => $newscurve_default['search_latest_posts_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[search_latest_posts_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'newscurve' ),
        'section'  => 'search_latest_post_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'newscurve_options[enable_search_latest_posts_date_meta]',
    array(
        'default'           => $newscurve_default['enable_search_latest_posts_date_meta'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_search_latest_posts_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newscurve_options[select_search_latest_posts_date]',
    array(
        'default'           => $newscurve_default['select_search_latest_posts_date'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_search_latest_posts_date]',
    array(
        'label'         => esc_html__( 'Select Date Meta', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'select',
        'choices'       => newscurve_date_meta(),

    )
);

$wp_customize->add_setting(
    'newscurve_options[single_search_latest_post_date_meta_title]',
    array(
        'default'           => $newscurve_default['single_search_latest_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[single_search_latest_post_date_meta_title]',
    array(
        'label'    => __( 'Date Meta Text', 'newscurve' ),
        'section'  => 'search_latest_post_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'newscurve_options[select_search_latest_posts_date_format]',
    array(
        'default'           => $newscurve_default['select_search_latest_posts_date_format'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_search_latest_posts_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'select',
        'choices'       => newscurve_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'newscurve_options[enable_search_latest_posts_category_meta]',
    array(
        'default'           => $newscurve_default['enable_search_latest_posts_category_meta'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_search_latest_posts_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Category Meta', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newscurve_options[select_search_latest_posts_number_of_category]',
    array(
        'default'           => $newscurve_default['select_search_latest_posts_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_search_latest_posts_number_of_category]',
    array(
        'label'       => __( 'Number of Category', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'number',
    )
);

$wp_customize->add_setting(
    'newscurve_options[search_latest_posts_category_label]',
    array(
        'default'           => $newscurve_default['search_latest_posts_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[search_latest_posts_category_label]',
    array(
        'label'       => esc_html__( 'Category Label', 'newscurve' ),
        'section'  => 'search_latest_post_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'newscurve_options[select_search_latest_posts_category_color]',
    array(
        'default'           => $newscurve_default['select_search_latest_posts_category_color'],
        'sanitize_callback' => 'newscurve_sanitize_select',
    )
);
$wp_customize->add_control(
    'newscurve_options[select_search_latest_posts_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'newscurve' ),
        'section'     => 'search_latest_post_options',
        'type'        => 'select',
        'choices'       => newscurve_category_color(),

    )
);